#!/usr/bin/env bash

if [ "$DB_CLUSTER" ]; then
   sed -i "s/192.168.201.12:27017/${DB_CLUSTER}/" /etc/web-laboratory/application.conf
fi

if [ "$ADMIN_HOST" ]; then
   sed -i "s/192.168.201.13/$ADMIN_HOST/" /etc/web-laboratory/application.conf
else
   sed -i "s/192.168.201.13/admin/" /etc/web-laboratory/application.conf
fi

sed -i "s/192.168.201.23/${HOSTNAME}/" /etc/web-laboratory/application.conf

#sed -i "s/192\.168\.204\.2x/${HOSTNAME}/" /etc/web-registry-portal/application.conf
#sed -i "s/communication = \"remote\"/communication = \"socket\"/" /etc/web-registry-portal/application.conf

#echo "#Dummy" >> /etc/rc.d/init.d/functions
#source /etc/init.d/web-laboratory status

if [ ! -z "$*" ]
then
    exec "$@"
else
    exec ${WEB_REGISTRY_BIN} ${WEB_REGISTRY_CUSTOM_OPTS} ${WEB_REGISTRY_OPTS}
fi
